resource Struct Reference
Collaboration diagram for resource:
[legend]

## Data Fields

char | res_path [ICMAP_KEYNAME_MAXLEN]
char * | recovery
char | name [CS_MAX_NAME_LENGTH]
time_t | last_updated
struct cs_fsm | fsm
corosync_timer_handle_t | check_timer
uint64_t | check_timeout
icmap_track_t | icmap_track

## Detailed Description

Definition at line 61 of file wd.c.

## Field Documentation

## check_timeout

uint64_t resource::check_timeout

Definition at line 69 of file wd.c.

## check_timer

corosync_timer_handle_t resource::check_timer

Definition at line 68 of file wd.c.

## fsm

struct cs_fsm resource::fsm

Definition at line 65 of file wd.c.

## icmap_track

icmap_track_t resource::icmap_track

Definition at line 70 of file wd.c.

## last_updated

time_t resource::last_updated

Definition at line 65 of file wd.c.

## name

char resource::name[CS_MAX_NAME_LENGTH]

Definition at line 64 of file wd.c.

## recovery

char* resource::recovery

Definition at line 63 of file wd.c.

## res_path

char resource::res_path[ICMAP_KEYNAME_MAXLEN]

Definition at line 62 of file wd.c.

The documentation for this struct was generated from the following file:

- wd.c